/**************************************************
 * MKOnlinePlayer v2.41
 * 播放器样式表文件
 * 编写：mengkun(https://mkblog.cn)
 * 时间：2018-3-13
 改进游动网络
 2022-6-15
 *************************************************/
blockquote, body, button, dd, dl, dt, fieldset, form, h1, h2, h3, h4, h5, h6, hr, html, input, lengend, li, ol, p, pre, td, textarea, th, ul {
    margin: 0;
    padding: 0
}
body, button, input, select, textarea, th {
    color: #333;
    background-color: #fff;
    font-size: 14px;
    line-height: 1.5;
    font-family: poppin,Tahoma,Arial,\5FAE\8F6F\96C5\9ED1,sans-serif;
    font-family: Tahoma,Arial,\5FAE\8F6F\96C5\9ED1,sans-serif,9;
    overflow-x:hidden;
    overflow-y:hidden;
}
h1, h2, h3, h4, h5, h6 {
    font-size: 100%
}
li {
    list-style: none
}
img {
    border: 0 none;
    -ms-interpolation-mode: bicubic;
    image-rendering: optimizeQuality
}
input[type=button], input[type=submit] {
    cursor: pointer
}
button {
    cursor: pointer
}
table {
    border-collapse: collapse;
    border-spacing: 0
}
a {
    color: #333;
    text-decoration: none
}
a:hover {
    color: #31c27c;
    text-decoration: none
}
a:focus, button:focus, input:focus {
    outline: 0
}
.text-center {text-align: center;}
.clear-fix {zoom: 1;}
.clear-fix:before, .clear-fix:after {display: table;line-height: 0;content: "";}
.clear-fix:after {clear: both; }
.hidden {display: none !important;}
/*滚动条美化*/
.mCSB_container::-webkit-scrollbar{width:0;height:0}
#lyric::-webkit-scrollbar{width:0;height:0}
.video_douyin::-webkit-scrollbar{width:0;height:0}
.jross-info::-webkit-scrollbar{width:0;height:0}
html,body{
    height: 100%;
    width: 100%;
    background-color: #777970;
    overflow: hidden;
}
body {
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#ba43a8+0,ea4fce+62,537bad+100&amp;0.38+0,0.17+61,0.8+100 */
    /* IE9 SVG, needs conditional override of 'filter' to 'none' */
    /*background: #000000;*/
    /*filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#7f7280', endColorstr='#000000');*/
    /*background-image: -webkit-linear-gradient(200deg, #7f7280, #000000);*/
    /*background-image: -moz-linear-gradient(200deg, #7f7280, #000000);*/
    /*background-image: -o-linear-gradient(200deg, #7f7280, #000000);*/
    /*background-image: -ms-linear-gradient(200deg, #7f7280, #000000);*/
    /*background-image: linear-gradient(200deg, #7f7280, #000000);*/
     background-image: linear-gradient(
    to top right,
    rgba(90, 149, 207, 0.5),
    rgba(58, 76, 99, 0.8)
  );
  box-shadow: 10px -10px 20px rgba(0, 0, 0, 0.2),
    -10px 10px 20px rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(6px); /*  元素后面区域添加模糊效果 */
    overflow: hidden;
}
/* 毛玻璃 */
.ground_glass{
    position: absolute;
    background-color: rgba(255,255,255,.2);
    backdrop-filter: blur(55px);
    box-shadow: 0 0 10px #333;
    width: 100%;
    height: 100%;
}
/* 模糊图像层 */
#blur-img {
    position: fixed;
    height: 100%;
    left: -10%;
    width: 120%;
    overflow: hidden;
}
/* 移动端使用的模糊图像层 */
#mobile-blur {
    -webkit-filter: blur(50px);
    filter: blur(50px);
    -webkit-transform: scale(1.15);
    transform: scale(1.15);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    background-size: cover;
    background-position: bottom center;
}
/* 图像遮罩层 */
.blur-mask {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #000;
    filter:alpha(opacity=30); 
    -moz-opacity:0.3; 
    opacity:0.3;
    top: 0;
    left: 0;
    overflow: hidden;
}


.mobile-mask {
    filter:alpha(opacity=60); 
    -moz-opacity:0.6; 
    opacity:0.6;
}

#mkplayer{
    display: none;
}
.header {
    height: 50px;
    position: absolute;
}
.logo {
    transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
    display: inline-block;
    font-size: 23px;
    filter: drop-shadow(0px 0 0 #fff);
    cursor: pointer;
    margin: 20px 20px;
    background-image: url('../images/logo.png');
    width: 170px;
    height: 46px;
}
.logo:hover {
    color: #fff;
}
.version{
    margin-left: 180px;
    margin-top: 20px;
    font-weight: bold;
    color: #fff;
    font-size: 20px;
    font-style: italic;
}
/* 宽度约束容器 */
.container{
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 1600px;
    margin: 0 auto;
}

/* 中部主要容器 */
.center{
    position: absolute;
    width: 100%;
    top: 70px;
    bottom: 100px;
}

/* 顶部按钮条 */
.btn-bar {
    position: absolute;
    display: inline-block;
    left: 0;
    right: 400px;
    height: 55px;
}


/* 顶部按钮区域 */
.btn-box {
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    /*border-radius: 25px;*/
}
/* 常规按钮 */
.btn {
    transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: inline-block;
    position: relative;
    border-radius: 2px;
    border: 1px solid #fff;
    border: 1px solid #bdbdbe;
    color: #fff;
    opacity: .8;
    filter: alpha(opacity=80);
    cursor: pointer;
    font-size: 14px;
    padding: 6px 25px;
    margin: 0 2px;
    border-radius:25px;
}
.btn:hover {
    border: 1px solid #fff;
    opacity: 1;
    filter: alpha(opacity=100);
}
.btn[data-action='player'] {
    display: none;
}

/* 搜索工具样式 */
#search-area {
    padding: 25px 15px;
     position: relative;
}
.search-ico{
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    left: 5px;
    right: 0;
}
.img_ico{
    height:32px;
    width:32px;
    vertical-align: middle;
    margin-left: 10px;
    margin-right: 10px;
    cursor: pointer;
}
.search-group {
    font-size: 0;
    padding-bottom: 30px;
}
.search-group>input, .search-group>button {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.search-group>input {
    padding: 5px;
    border: 1px solid #2196f3;
    height: 35px;
    width: 80%;
    border-radius: 25px 0px 0px 25px;
}
.search-group>button {
    border: 1px solid #2196f3;
    background-color: #2196f3;
    height: 35px;
    margin-left: -1px;
    width: 20%;
    white-space: nowrap;
    text-overflow: clip;
    overflow: hidden;
   border-radius: 0px 25px 25px 0px;
   color: #fff;
}
.radio-group input[type=radio],.radio-group input[type=radio]+img{
     vertical-align: middle;
}
.radio-group>label {
    margin-right: 15%;
    cursor: pointer;
}
.radio-group>label>input {
   
}

/* 左侧主体数据区 */
.data-area {
    position: absolute;
    left: 0;
    right: 500px;
    top: 60px;
    bottom: 0;
    overflow: hidden;
}

/* 数据区域容器 */
.data-box {
    position: absolute;
    left: 10px;
    right: 10px;
    top: 10px;
    bottom: 10px;
    overflow-y: auto;
    overflow-x: hidden;
}

/*以下是播放列表 css 样式*/
/* 列表头 */
.list-head {
    height: 40px;
}

/* 一项数据 */
.list-item {
    width: 100%;
    height: 50px;
    line-height: 50px;
    color: #bdbdbe;
    color: rgba(225,225,225,.8);
    font-size: 14px;
    overflow: hidden;
    border-bottom: 1px solid rgba(150,150,150,.1);
    cursor: default;
    position: relative;
}

/* 正在播放的那项 */
.list-playing {
    color: #fff;
}

/* 列表数字 */
.list-num {
    display: block;
    width: 30px;
    text-align: center;
    float: left;
    overflow: hidden;
}
/* 正在播放的那项数字 */
.list-playing .list-num {
    background: url("../images/wave.gif") 10px 20px no-repeat;
    text-indent: -99px;
}

/* 音乐名字 */
.music-name {
    position: relative;
    display: block;
    width: auto;
    margin-left: 40px;
    margin-right: 300px;
    height: 100%;
    -webkit-user-select: none;
    -moz-user-select: none; /*禁止双击选定*/
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}
/* 鼠标滑过时音乐名字被截断 */
.music-name-cult {
    display: block;
    word-break: keep-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.list-item:hover .music-name-cult {
    padding-right: 150px;
}
.list-playing:hover .music-name-cult {
    padding-right: 100px;
}
/* 作者名称与音乐专辑 */
.auth-name,.music-album {
    position: relative;
    display: block;
    width: 150px;
    float: right;
    height: 100%;
    word-break: keep-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* 移动端的菜单图标 */
.list-mobile-menu {
    display: none;
}

/*列表中滑动出现的菜单*/
.list-menu {
    position: absolute;
    right: 10px;
    top: 50%;
    overflow: hidden;
    font-size: 0;
    height: 36px;
    margin-top: -18px;
    float: right;
    display: none;
}
.list-item:hover .list-menu {
    display: block;
}
.list-head:hover .list-menu {
    display: none;
}

/* 列表中滑动出现的小图标 */
.list-icon {
    display: block;
    width: 36px;
    height: 36px;
    background-image: url("../images/icon_list_menu.png");
    float: left;
    margin-left: 10px;
    cursor: pointer;
}
.list-playing .icon-play{
    display: none;
}
.icon-play {
    background-position: -80px 0;
}
.icon-play:hover {
    background-position: -120px 0;
}
.icon-download {
    background-position: -80px -120px;
}
.icon-download:hover {
    background-position: -120px -120px;
}
.icon-share {
    background-position: -80px -40px;
}
.icon-share:hover {
    background-position: -120px -40px;
}

/* 分享弹窗中的链接框 */
.share-url {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
    line-height: 30px;
    box-sizing: border-box;
    padding: 0 5px;
    border: 1px solid #ccc;
    box-shadow: 1px 1px 5px rgba(0,0,0,.1) inset;
    color: #333;
    height: 35px;
}
.share-tips {
    font-size: 12px;
    color: #a9a9a9;
}

/* 列表中可以被点击的横条 */
.list-clickable {
    cursor: pointer;
}

/* 以下是歌单 css 样式 */
/* 歌单中的一项 */
.sheet-item {
    position: relative;
    display: block;
    width: 20%;
    float: left;
    text-align: center;
}
.sheets-item {
    position: relative;
    display: block;
    width: 20%;
    float: left;
    text-align: center;
}
/* 歌单封面 */
.sheet-cover {
    display: block;
    width: 100px;
    height: 100px;
    margin: 10px auto;
    cursor: pointer;
    border-radius: 20px;
}
.sheets-cover {
    display: block;
    width: 100px;
    height: 100px;
    margin: 10px auto;
    cursor: pointer;
    border-radius: 20px;
}
.sheet4-cover {
    display: block;
    width: 100px;
    height: 100px;
    margin: 10px auto;
    cursor: pointer;
    border-radius: 20px;
}
/* 正在播放的列表  */
.sheet-playing:before {
    content: url(../images/wave.gif);
    position: absolute;
    top: 90px;
    left: 50%;
    margin-left: -45px;
}

/* 歌单名字 */
.sheet-name {
    /*padding: 0 5px;*/
    display: inline-block;
    max-width: 120px;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    overflow: hidden;
    margin-bottom: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 12px;
}
.sheets-name {
    /*padding: 0 5px;*/
    display: inline-block;
    max-width: 120px;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    overflow: hidden;
    margin-bottom: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 12px;
}
.sheet4-name {
    /*padding: 0 5px;*/
    display: inline-block;
    max-width: 120px;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    overflow: hidden;
    margin-bottom: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 12px;
}
/* 歌单推荐分割标题栏 */
.sheet-title-hg {
    border-radius: 20px;
    margin: 20px 0;
    line-height: 8px;
    height: 8px;
    background-color: #cddc39;
    background-image: -webkit-linear-gradient(45deg,rgba(255,255,255,.4) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.4) 50%,rgba(255,255,255,.4) 75%,transparent 75%,transparent);

}
/* 播放列表分割标题栏 */
.sheet-title-bar {
    border-radius: 2px;
    margin: 20px 0;
    text-align: center;
    line-height: 40px;
    height: 40px;
    color: #C5C5C5;
    background-color: rgba(0, 0, 0, 0.12);
}
.login-btn {
    cursor: pointer;
}
.login-btn:hover {
    color: #31c27c;
}

/* 以下是界面右侧 css 样式 */
/* 播放器主体(歌词和封面) */
.player {
    height: 100%;
    width: 500px;
    float: right;
    position: relative;
    margin-top: 20px;
}
/*登录相关*/
.player_login {
    position: absolute;
    right: 20px;
    z-index: 9;
    text-align: right;
    margin: -50px 0px;
}
.player_login__link {
    position: relative;
    float: left;
    margin-right: 15px;
    font-size: 0;
    cursor: pointer;
    color: #fff;
}
.player_login__txt {
    display: inline-block;
    max-width: 124px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
    font-size: 14px;
    cursor: pointer;
    color: #fff;
    line-height: 30px;
}
.player_login__txts {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
    font-size: 14px;
    cursor: pointer;
    color: #fff;
}
.player_login__set {
    display: inline-block;
    max-width: 124px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
    font-size: 14px;
    cursor: pointer;
    color: #fff;
    line-height: 30px;
}
/* 歌曲封面区域 */
.cover {
    position: relative;
    display: block;
    width: 220px;
    height: 220px;
    margin: auto;
}

.cover:after {
    content: "";
    position: absolute;
    left: 31px;
    top: 15px;
    width: 201px;
    height: 180px;
    background: url(../images/album_cover_player.png) 0 0 no-repeat;
    pointer-events: none;
}
/* 歌曲封面图片 */
.music-cover {
    vertical-align: middle;
    width: 220px;
    height: 220px;
    border-radius: 10px;
}

/* 歌词显示区域 */
.lyric {
    position: absolute;
    left: 20px;
    right: 10px;
    top: 225px;
    bottom: 50px;
    overflow: hidden;
    text-align: center;
    color: #bdbdbe;
    /*color: rgba(225,225,225,.8);*/
    line-height: 38px;
    padding: 20px 0;
    cursor: pointer;
    font-weight: bold;
}
.lrc-item:hover {
    background-color: rgba(255,255,255,.2);
    backdrop-filter: blur(155px);
    border-radius:5px;
    /*width: 80%;*/
    /*display: inline-block;*/
}
/* 歌词ul */
#lyric {
    color: #d4d4e1;
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    overflow: hidden;
    overflow-y: auto;
}
#lyric>li {
    word-break: keep-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    user-select:none;
}
/* 正在播放的那一句歌词 */
#lyric .lplaying {
    color: #31c27c;
    font-size: 20px;
}
/* 歌词显示区显示的提示语(如加载中、无歌词等) */
.lyric-tip {
    position: absolute;
    width: 100%;
    top: 50%;
}
.lyric-roll {
    position: absolute;
    width: 100%;
    white-space: pre;
}
/*音译按钮*/
.yi_btn{
    position: absolute;
    left: 50%;
    bottom: 0;
    margin-left: -12px;
    background-position: 0 -340px;
    width: 24px;
    height: 24px;
    opacity: .8;
    background-image: url(../images/player.png);
    background-repeat: no-repeat;  
    cursor: pointer;
    z-index: 999;
}
.yi_btn:hover {
    opacity: 1;
    filter: Alpha(opacity=100);
}
.yi_select{
    position: absolute;
    left: 50%;
    bottom: 0;
    margin-left: -12px;
    background-position: -30px -340px;
    width: 24px;
    height: 24px;
    opacity: .8;
    background-image: url(../images/player.png);
    background-repeat: no-repeat;  
    cursor: pointer;
    z-index: 999;
}
.yi_select:hover {
    opacity: 1;
    filter: Alpha(opacity=100);
}
.lrc_yys{
    word-break:break-all;
}
/* 歌曲信息按钮 */
#music-info {
    transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
    position: absolute;
    width: 27px;
    height: 26px;
    border-radius: 13px;
    right: 10px;
    bottom: 30px;
    cursor: pointer;
    color: #fff;
    text-align: center;
    line-height: 26px;
    font-weight: bold;
    background-image: url(../images/player.png);
    background-position: -29px -487px;
    background-color: #353535;
    opacity: 1;
    filter: Alpha(opacity=30);
    z-index: 2;
}
#music-infos {
    position: absolute;
    right: 10px;
    bottom: 28px;
    cursor: pointer;
    color: #fff;
    text-align: center;
    line-height: 26px;
    font-weight: bold;
    border: 1px solid #ccc; 
    border-radius: 16px;
    padding: 90px 13px;
    z-index: 2;
}
.phone_set{
    width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: 2px;
    margin-top: -85px;
    background-image: url(../images/set.png);
    background-repeat: no-repeat;
    background-size: 100%;
    z-index: 2;  
}
#music-info:hover {
    opacity: 1;
    filter: Alpha(opacity=100);
}
/* 标题 */
.info-title {
    color: #B2AFAF
}
.info-btn {
    cursor: pointer;
    color: #31c27c;
}
.info-btn:hover {
    text-decoration: underline;
}
/* 底部 */
.footer {
    height: 100px;
    bottom: 0;
    width: 100%;
    position: absolute;
}
/*播放操作区bor*/
.footer_bor{
    background:linear-gradient(rgb(31 26 26 / 100%), rgb(255 255 255 / 10%)),url(../images/bor/aS6G2fzlRr.png) no-repeat;
    background-position: 0px;
    background-size: 100% 100%;
}

/* 带图片的按钮 */
.player-btn {
    background-image: url("../images/player.png");
    opacity: .8;
    filter: alpha(opacity=80)
}
.player-btn:hover {
    opacity: 1;
    filter: alpha(opacity=100)
}
/* 暂停状态 */
.btn-state-paused {
    background-position: -30px 0;
}
/* 控制按钮(上一首、播放、下一首)区域 */
.con-btn {
    float: left;
    width: 130px;
    height: 100%;
    position: relative;
    margin: 0 10px;
}
.con-btn a{
    display: inline-block;
    position: absolute;
    top: 50%; 
}
.btn-prev{
    background-position: 0 -30px;
    width: 19px;
    height: 20px;
    margin-top: -10px; 
}

.btn-play{
    width: 19px;
    height: 29px;
    margin-top: -14.5px; 
    left: 36%;
    margin-left: -10.5px; 
}
.btn-next{
    background-position: 0 -52px;
    right: 30%;
    width: 19px;
    height: 20px;
    margin-top: -10px; 
}
.btn-order{
    background-position: 0 -173px;
    background-size: 450%;
    right: 0;
    width: 25px;
    height: 24px;
    margin-top: -10px; 
}
.btn-order-single {
    background-position: 0 -196px;
}
.btn-order-list {
    background-position: 0 -173px;
}
.btn-order-random {
    background-position: 0 -62px;
    height: 18px;
    margin-top: -9px;
}

/* 音乐进度条区域 */
.progress {
    width: auto;
    margin-left: 150px;
    margin-right: 500px;
    height: 100%;
    position: relative;
}

/* 限制进度条的盒子 */
.progress-box {
    position: absolute;
    height: 20px;
    left: 10px;
    right: 0;
    top: 50%;
    margin-top: -9px;
}

/* 音量控制区域 */
.vol {
    float: right;
    width: 250px;
    height: 100%;
    right: 0;
    position: relative;
    z-index: 2;
}

.quiet {
    width: 120px;
    height: 100%;
    position: relative;
    float: left;
    z-index: 2;
}
.btn-quiet{
    display: inline-block;
    position: absolute;
    width: 26px;
    height: 21px;
    top: 50%;
    right: 0;
    margin-top: -10px;
    background-position: 0 -144px;
}
.btn-state-quiet {
    background-position: 0 -182px;
}
.volume {
    position: relative;
    margin-left: 60px;
    height: 100%;
    overflow: hidden;
}
/* 限制声音进度条的盒子 */
.volume-box {
    position: absolute;
    height: 20px;
    left: 10px;
    right: 10px;
    top: 50%;
    margin-top: -10px;
}

/* 以下是孟坤进度条控件样式区域 */
/* 进度条可点击区域 */
.mkpgb-area {
    position: relative;
    cursor: pointer;
    height: 100%;
}
/* 进度条有背景区域 */
.mkpgb-bar {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 4px; 
    margin-top: -1px; 
    border-radius: 2px;
    background-color: #948a86;
    overflow: hidden;
}
/* 进度条已完成区域 */
.mkpgb-cur {
    position: absolute;
    background-color: #acd1ae; 
    width: 0; 
    height: 4px; 
    top: 50%;
    margin-top: -1px; 
    border-radius: 2px;
    transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
}
/* 进度条小点 */
.mkpgb-dot {
    width: 10px; 
    height: 10px; 
    background-color: #4CAF50;
    border-radius: 5px; 
    overflow: hidden; 
    position: absolute; 
    left: 0px; 
    margin-left: -5px; 
    top: 50%; 
    margin-top: -4px;
    transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
}
/* 进度条禁止点击样式 */
.mkpgb-locked {
    cursor: default;
}

/* 闪动效果作者：qiuye */
.dot-move {
    -webkit-box-shadow: 0 0 20px #fff;
    -moz-animation: dot-move 3s linear 2s infinite;
    -webkit-animation: dot-move 3s linear 2s infinite;
    -o-animation: dot-move 3s linear 2s infinite;
    -ms-animation: dot-move 3s linear 2s infinite;
}
@-webkit-keyframes dot-move{0%{-webkit-box-shadow: 0 0 20px #fff;}25%{-webkit-box-shadow: 0 0 10px #fff;}50%{-webkit-box-shadow: 0 0 0px #fff;}75%{-webkit-box-shadow: 0 0 10px #fff;}100%{-webkit-box-shadow: 0 0 20px #fff;}}
@keyframes dot-move{0%{-webkit-box-shadow: 0 0 10px #363333;}25%{-webkit-box-shadow: 0 0 7px #363333;}50%{-webkit-box-shadow: 0 0 0px #fff;}75%{-webkit-box-shadow: 0 0 6px #fff;}100%{-webkit-box-shadow: 0 0 10px #363333;}}
/*搜索*/
.cmhead1_d12 {
    width: 76%;
    background: #fff;
    padding: 8px 12px 2px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    z-index: 1001;
    position: absolute;
    top: 60px;
    display: none;
    box-shadow: 0px 1px 3px 0px #6e6769;
}
.cmhead1_ul1{
    margin: 0;
   list-style: none;
   padding: 0 0 8px 0;
   overflow-y: auto;
    height: 400px;
}
.cmhead1_li1{
    margin: 0;
    list-style: none;
    font-size: 14px;
    padding: 4px 15px 4px 24px;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.cmhead1_li1:hover {
  background-color: #b4c0c6;
}
.cmhead1_sp4 {
    color: #31c27c;
    margin-left: 10px;
}
::placeholder {
  color: #2196f3;
}
.songlist__icon_mv {
    display: inline-block;
    width: 33px;
    height: 16px;
    /*background-position: -40px -280px;*/
    vertical-align: middle;
    margin-left: 6px;
    cursor: pointer;
}
.sprite, .sprite_before:before {
    background-image: url("../images/icon_mv.png?max_age=2592000");
}

/*vip*/
.songlist__icon_vip {
    display: inline-block;
    width: 34px;
    height: 16px;
    vertical-align: middle;
    margin-right: 6px;
    background-image: url("../images/vip.png?max_age=2592000");
}
/*免vip*/
.songlist__icon_vips{
    display: inline-block;
    width: 34px;
    height: 16px;
    vertical-align: middle;
    margin-right: 6px;
    background-image: url("../images/vip.png?max_age=2592000");
    filter: hue-rotate(215deg);


}
.player_music__time {
    position: absolute;
    top: -20px;
    right: 0;
    color: #fff;
}/*歌曲时间*/
.player_music__info {
    padding-right: 90px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    color: #fff;
    position: absolute;
    top: -20px;
    font-weight: bold;
    width: 400px;
}/*歌曲信息*/
.dataic_info{
margin-left: 12px;
font-size: 16px;
}
/*简洁模式*/
.btn_big_only {
    width: 74px;
    height: 26px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: -10px;
    background-image: url("../images/player.png");
    background-position: 0 -282px;
    background-repeat:no-repeat;
    z-index: 2;
}
.btn_big_only_op{
       width: 74px;
    height: 26px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: -10px; 
 background-image: url("../images/player.png");
 background-position: 0 -311px;
    background-repeat:no-repeat; 
    z-index: 2;
}
.player_jj {
    height: 100%;
    position: relative;
    text-align: center;
    font-size: 22px;
}
/*简洁模式*/
.icon-del{
  background-position: -80px -160px;  
}
.icon-del:hover {
    background-position: -120px -160px;
}
.icon-add{
  background-position: -80px -80px;  
}
.icon-add:hover {
    background-position: -120px -80px;
}
.active{
border: 1px solid #31c27c;
}
.bq_other{
        background-color: #e4e7ea;
    color: #4d5259;
        display: inline;
    padding: .2em .6em .3em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}
.red{
    color:#f84824;
    
}
.gern{
     color:#31c27c !important;
     pointer-events:none;
}
.reds{
   background-color: #f84824;  
}
.yellows{
 background-color: #f47f1b;
}
.zs{
    background-color:#ffb11f;
}
.hot{
    padding: .2em .6em .3em;
    display: inline;
    margin-left: 20px;
  background-color: #f84824;
   font-size: 75%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}
.new{
    padding: .2em .6em .3em;
    display: inline;
     margin-left: 20px;
   background-color: #48b0f7;
   font-size: 75%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}
.bangdan{
    color: #fff;
    font-size: 20px;
}

.play_love{
    width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: -80px;
    margin-top: -10px;
    background-image: url(../images/player.png);
    background-position: -30px -96px;
    background-repeat: no-repeat;
}
/*喜欢*/
.play_loveh{
      width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: -80px;
    margin-top: -10px;
    background-image: url(../images/player.png);
    background-position: 0 -96px;
    background-repeat: no-repeat;  
}
/*下载*/
.play_dwon{
      width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: -120px;
    margin-top: -10px;
    background-image: url(../images/player.png);
    background-position: 0 -120px;
    background-repeat: no-repeat;  
}
/*评论*/
.play_com{
    width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: -40px;
    margin-top: -10px;
    background-image: url(../images/player.png);
    background-position: 0 -400px;
    background-repeat: no-repeat;   
    z-index: 2;
}
.play_com_open{
    width: 23px;
    height: 22px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: -40px;
    margin-top: -10px;
    background-image: url(../images/player.png);
    background-position: 0 -460px;
    background-repeat: no-repeat;   
    z-index: 2;
}
.com_text{
        display: block;
    color: #fff;
    font-size: 1px;
    line-height: 8px;
    margin-top: -2px;
    margin-left: 8px;
}
/*设置*/
.form__part {
    margin-bottom: 5px;
    margin-top: 5px;
}
.form__parts {
    margin-bottom: 10px;
}
.text_set{
    padding: 3px 3px 6px;
}
.left_kk{
    float: left;
    left: 20px;
}
.jg{
  left: 10px;  
}
.player_login__cover {
    width: 30px;
    height: 30px;
    border-radius: 90px;
    margin-right: 10px;
    vertical-align: -10px;
}
.plater_login_name{
    line-height: 30px;
    color: #fff;
    opacity: .3;
    margin-right: 10px;
}

/*播放量角标*/
.homep_cm_item_st1_d2 {
    width: 70px;
    height: 24px;
    bottom: 0;
    right: 0;
    position: absolute;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 12px;
    font-weight: 500;
    color: #FFFFFF;
        margin-bottom: 42px;
    margin-right: 45px;
    background: rgba(75, 84, 91, 0.3);
    -webkit-border-radius: 20px;
    border-radius: 20px;
    -webkit-backdrop-filter: none;
    backdrop-filter: none;
    backdrop-filter: saturate(180%) blur(6px);
}
.homep_cm_item_st1_sp1 {
    background: url('../images/icon_play_white.png') no-repeat;
    background-position: 0px;
    background-size: 103%;
    width: 12px;
    height: 12px;
    margin-right: 1px;
}

.time_r {
    float: left;
   background: url('../images/time.png') no-repeat;
    background-position: 0px;
    background-size: 100%;
    width: 23px;
    height: 23px;
    display: none;
    cursor: pointer;
    margin-right: 60px;
    opacity: 0.8;
}
.time_r:hover{
    opacity: 1;
}
/*黑夜白天模式*/
.day_night {
   background: url('../images/dark_night.png') no-repeat;
    background-position: 0px;
    background-size: 100%;
    width: 23px;
    height: 23px;
    display: none;
    cursor: pointer;
    float: right;
    opacity: 0.8;
    right: 0;
}
.day_night:hover{
    opacity: 1;
}
.day{
   background: url('../images/day.png') no-repeat; 
       background-position: 0px;
    background-size: 110%;
    width: 23px;
    height: 23px;
    display: none;
     cursor: pointer;
     float: right;
     opacity: 0.8;
}
.day:hover{
    opacity: 1;
}
/*历史记录*/
.hi_search{
    position: relative;
    margin: 30px 20px 5px;
    font-size: 20px;
    color: #ffffff;
    
}
.search_History_nav{
    color: #262338;
    margin:10px 10px 10px 20px;;
    position: relative;
    background-color: #f7f7f7;
    border-radius: 20px;
    width: 90px;
    height: 35px;
    text-align: center;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-weight: 200;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-height: 35px;
}
.search_main_box{
    display: flex;
    max-width: 99%;
    flex-flow: wrap;

}
.red-hi{
    color: red;
}
.search_History_nav:hover{
    opacity: 1;
    filter: alpha(opacity=100);
    box-shadow: 0px 0px 0px 1px #a3abaa;
}
/*删除历史记录*/
.search-del{
    position: absolute;
    background-position: 0px;
    background-size: 100%;
    width: 23px;
    height: 22px;
    cursor: pointer;
    margin-top: 5px;
    margin-left: 20px;
    opacity: .8;
}
.search-del:hover{
    opacity: 1;
    filter: alpha(opacity=100);
}

	/*弹幕组件主样式*/
		.overflow-text{
			display: block;
		    white-space:nowrap;
		    overflow:hidden; 
		    text-overflow:ellipsis;
		    opacity:0;
		    clear: both;
		    padding:0 10px;
		    border-radius: 10px;
		    box-sizing: border-box;
		    max-width: 100%;
		    color:#fff;
		    animation:colorchange 3s infinite alternate;
			-webkit-animation:colorchange 3s infinite alternate; /*Safari and Chrome*/
		}
		@keyframes colorchange{
			0%{
				color:red;
			}
			50%{
				color:green;
			}
			100%{
				color:#6993f9;
			}
		}
		/*组件弹幕主样式*/
		
/*歌单删除按钮*/
.del_sheet{
  position: absolute;
  background: url(../images/del.png) no-repeat;
  width: 32px;
  height: 32px;
  margin-top: -160px;
  margin-left: 120px;
  background-size: 100%;
  cursor: pointer;
  
}
.del_sheet:hover{
   animation:fadenum 1s;
   animation-timing-function:linear;
}
@keyframes fadenum{
   100%{transform:rotate(180deg);}
}
.topList-head{
    width: 100%;
    height: 34px;
    line-height: 34px;
    padding: 10px 20px;
    font-size: 20px;
    color: #fff;
    position: relative;
    display: inline-block;
}
.drgn{
  width: auto;
  height: 400px;
  overflow-x: auto;
  white-space: nowrap;
  display: -webkit-box;
}
.drgn1{
  background: url(../images/drgd1.jpg) no-repeat; 
  background-position: 0px;
  background-size: 100%;
  cursor: pointer;
  height: 400px;
  width: 200px;
  display: inline-blok
}
.drgn2{
  background: url(../images/drgd2.jpg) no-repeat;  
  background-position: 0px;
  background-size: 100%;
  cursor: pointer;
  height: 400px;
  width: 600px;
  display: inline-blok
}
.douyin{
 margin: 20px 5px;
}
.video_douyin{
    margin-top: 20px;
    font-size: 20px;
    color: #fff;
    overflow: auto;
   /* position: fixed;
    /*height: 490px;*/
}
.video_douyins{
    margin-top: 20px;
    font-size: 20px;
    color: #fff;
    overflow: auto;
   /* position: fixed;
    /*height: 490px;*/
}

/*轮播图*/
  .moveBody{
	  text-align: center;
	  height:100%;
	  width: 100%;
	  margin-left: -5px;
  }
  .img_tj{
     background-position: 0px;
     background-size: 100%;   
     height: 100%;
     width: 50%;
  }
    .text_tj_name{
      position: absolute;
      bottom: 70px;
      left: 10px;
      font-size: 15px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
  }
  .text_tj_title{
      position: absolute;
      bottom: 10px; 
      left: 10px;
      font-size: 15px;
      display: -webkit-box;
      overflow: hidden;
      text-overflow: ellipsis;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
  }
  .tj_hold{
    background-position: 0px 0px;
    z-index: 100;
    width: 30px;
    height: 30px;
    position: absolute;
    top: 50%;
    display:none;
  }
    .tj_play{
    background-position: -30px 0px;
    z-index: 100;
    width: 30px;
    height: 30px;
    position: absolute;
    top: 50%;
    display:none;
  }
  /*选集*/
 .douyin_videos{
 background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 8px;
    height: 16px;
    line-height: 16px;
    user-select:none;
 }
 .m-album-num{
 background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 8px;
    height: 16px;
    width: 48px;
    line-height: 16px;
    display:none;
    user-select:none;
    float:left; 
 }
  .m-album-nums{
 background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 8px;
    height: 16px;
    width: 64px;
    line-height: 16px;
    display:none;
    user-select:none;
    float:left;
 }
  .m-album-nums1{
 background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 8px;
    height: 16px;
    width: 64px;
    line-height: 16px;
    display:none;
    user-select:none;
    float:left;
 }
  .videos_bfly{
 background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 8px;
    height: 16px;
    line-height: 16px;
    user-select:none;
 }
.media-img{
  height: auto;
    overflow: hidden;
    
}
.imgb {
    float: left;
    border: none;
    vertical-align: middle;
    width: 150px;
    height: 200px;
}
.media-info{
    padding: 15px;
}
.img_src{
        width: 100%;
    display: block;

}
.info_title{
    color: #ff5f00;
    font-weight: 400;
    line-height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-left: 20px
}
.button_info{
    background: #fff;
    color: #888;
    float: left;
    margin: 0 15px 15px 0;
    width: 50px;
    height: 50px;
    border: 1px solid #dadada;
    FONT-WEIGHT: 100;
    line-height: 50px;
    text-align: center;
    font-size: 20px;
    font-family: helvetica;
    position: relative;
    border-radius:10px;
    cursor: pointer;
    user-select:none;
}
.info_li{
    font-size: 14px;
    line-height: 30px;
    width: 100%;
    color: #fff;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.info_description{
    font-size: 14px;
    line-height: 30px;
    width: 100%;
    color: #fff;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    word-break: break-all;
}
.jross-box{
    padding-top:20px;
    overflow: hidden;
}
.jross-info{
    height: 180px;
    padding-top:10px;
     overflow-y: scroll;
}
.seed-button{
    width: 74px;
    height: 26px;
    line-height: 26px;
    border-radius: 20px;
    background-color: hsla(0,0%,100%,.1);
    text-align: center;
    cursor: pointer;
    font-size: 14px;
    top: 50%;
    left: -210px;
    margin-top: -10px;
    z-index: 2;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    color: #fff;
    font-weight: 400;
}
.list-button{
    display: none;
    position: absolute;
    bottom: 70px;
    left: -180px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 74px;
    background-color: #fff;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 1px;
    border-bottom: 1px solid #f2f2f2;
    text-align: center;
}
.list-deg{
    width: 0;
    height: 0;
    display: block;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 6px solid #fff;
    position: absolute;
    bottom: -6px;
    left: 50%;
    margin-left: -5px;
}
.list-itme1{
    height: 30px;
    line-height: 30px;
    text-align: center;
    color: #333;
    font-size: 12px;
    cursor: pointer;
    border-bottom: 1px solid #faf4f4;
}
.list-itme2{
    height: 30px;
    line-height: 30px;
    text-align: center;
    color: #333;
    font-size: 12px;
    cursor: pointer;
    border-bottom: 1px solid #faf4f4;
}
.deg_top1{
    width: 12px;
    height: 12px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: translate(0,-50%) rotate(135deg);
    transform: translate(0,-50%) rotate(135deg);
    position: relative;
    left:5px;
    top:13px;
    display: inline-block;
}
.deg_top{
    width: 12px;
    height: 12px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: translate(0,-50%) rotate(135deg);
    transform: translate(0,-50%) rotate(135deg);
    position: relative;
    left:5px;
    top:13px;
    display: inline-block;
}
.deg_buttom{
    display: inline-block;
    width: 12px;
    height: 12px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: translate(0,-50%) rotate(315deg);
    transform: translate(0,-50%) rotate(315deg);
    top:6px;
    position: relative;
    left:5px;
}
.deg_buttom1{
    display: inline-block;
    width: 12px;
    height: 12px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: translate(0,-50%) rotate(315deg);
    transform: translate(0,-50%) rotate(315deg);
    top:6px;
    position: relative;
    left:5px;
}
.deg_buttom1{
    display: inline-block;
    width: 12px;
    height: 12px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: translate(0,-50%) rotate(315deg);
    transform: translate(0,-50%) rotate(315deg);
    top:6px;
    position: relative;
    left:5px;
}
.list-itme1:hover {
  background-color: #b4c0c6;
}
.list-itme2:hover {
  background-color: #b4c0c6;
}
.seed-button1{
    width: 74px;
    height: 26px;
    line-height: 26px;
    border-radius: 20px;
    background-color: hsla(0,0%,100%,.1);
    text-align: center;
    cursor: pointer;
    font-size: 14px;
    top: 50%;
    left: -100px;
    margin-top: -10px;
    z-index: 2;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    color: #fff;
    font-weight: 400;
}
.list-button3{
    display: none;
    position: absolute;
    bottom: 70px;
    left: -63px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 74px;
    background-color: #fff;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 1px;
    border-bottom: 1px solid #f2f2f2;
    text-align: center;
}
.float_left{
    float: left;
    left: 0;
    margin-bottom: 20px;
}
.float_right{
    float: right;
    right: 0;
    margin-bottom: 20px;
}
.picker{
      border-radius: 25px;
      cursor:pointer;
      border: 1px solid #31c27c;
      width: 168px;
}
.picker1{
      border-radius: 25px;
      cursor:pointer;
      border: 1px solid #31c27c;
      width: 168px;
}
.lyric_py{
border-radius: 8px;
    cursor: pointer;
    width: 50px;
    margin-right: 5px;
    color: #31c27c;
    border: 1px solid #31c27c;
}
/*返回顶部按钮*/
.top{
    position: absolute;
    background: url('../images/top.png') no-repeat;
    background-position: 0px;
    background-size: 100%;
    width: 32px;
    height: 32px;
    cursor: pointer;
    opacity: 0.8;
    float: right;
    right: 0;
    bottom: 0;
    z-index: 100;
}
.top:hover{
    opacity: 1;
}
/*播放全部按钮*/
.search-playlist{
        transition: all 0.25s ease;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: inline;
    position: relative;
    border-radius: 2px;
    border: 1px solid #fff;
    border: 1px solid #bdbdbe;
    color: #fff;
    opacity: .8;
    filter: alpha(opacity=80);
    cursor: pointer;
    font-size: 14px;
    padding: 6px 20px;
    margin: 0 2px;
    border-radius: 25px;
    height: 20px;
    line-height: 20px;
    background: url(../images/icon_play_white.png) no-repeat;
    background-position: 0px;
    background-size: 25%;
    top:6px;
}

.search-playlist:hover{
        opacity: 1;
}